Vla-put-modelcrosshaircolor

提供: GizmoLabs
移動先: 案内検索
構文
(vla-put-modelcrosshaircolor vla-object color)


機能
モデル空間レイアウトのクロスヘアと文字の色を指定する。


引数
  • vla-object … PreferencesDisplay の VLAオブジェクト
  • color … OLE_COLOR (定数)
  • vbBlack
  • vbRed
  • vbYellow
  • vbGreen
  • vbCyan
  • vbBlue
  • vbMagenta
  • vbWhite


戻り値
nil


  • MEMO :このプロパティの初期値は vbWhite。
  • ペーパー空間のレイアウトのクロスヘア カーソル色を指定するには、vla-put-layoutcrosshaircolor を使用する。


サンプル
(vl-load-com)
(defun c:Example_ModelCrossHairColor()
    ;; モデル空間のクロスヘア設定を読み込み、変更して元に戻すサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    (setq ACADPref (vla-get-Display preferences))

    ; 現在値の読み込み
    (setq currCrossHairColor (vlax-variant-change-type (vla-get-ModelCrosshairColor ACADPref) vlax-vbLong))
    (alert (strcat "現在のモデル空間のクロスヘアカーソル色は " (itoa (vlax-variant-value currCrossHairColor))))
    
    ;; 変更
    (vla-put-ModelCrosshairColor ACADPref (vlax-make-variant acGreen 19))
    (setq newValue (vlax-variant-change-type (vla-get-ModelCrosshairColor ACADPref) vlax-vbLong))
    (alert (strcat "新しいモデル空間のクロスヘアカーソル色は " (itoa (vlax-variant-value newValue))))
    
    ;; 戻す
    (vla-put-ModelCrosshairColor ACADPref (vlax-variant-change-type currCrossHairColor 19)) 
    (alert (strcat "モデル空間のクロスヘアカーソル色を次に戻します " (itoa (vlax-variant-value currCrossHairColor))))
   )





関連事項